漏洞信息详情

ARM Mbed OS CoAP library 输入验证错误漏洞

  • CNNVD编号:CNNVD-202006-1280
  • 危害等级: 高危
  • CVE编号: CVE-2020-12887
  • 漏洞类型: 输入验证错误
  • 发布时间: 2020-06-18
  • 威胁类型: 远程
  • 更新时间: 2020-07-02
  • 厂        商:
  • 漏洞来源:

漏洞简介

ARM Mbed OS是英国ARM公司的一套专用于物联网的开源嵌入式操作系统。CoAP library是其中的一个约束应用协议(CoAP)库。

ARM Mbed OS 5.15.3版本中的CoAP library存在输入验证错误漏洞。攻击者可利用该漏洞造成拒绝服务(内存泄露)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/ARMmbed/mbed-coap/pull/116

参考网址

来源:MISC

链接:https://github.com/ARMmbed/mbed-os/issues/12957

来源:MISC

链接:https://github.com/ARMmbed/mbed-os/issues/12930

来源:MISC

链接:https://github.com/mjurczak/mbed-coap/commit/4647a68e364401e81dbd370728127d844f221d93

来源:CONFIRM

链接:https://github.com/ARMmbed/mbed-coap/pull/116

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-12887

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多